Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class AddRelationTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddRelationTypeRequest`

public static final class AddRelationTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddRelationTypeRequest`
  `build()`
  `AddRelationTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddRelationTypeRequest.Builder`
  `coRole(String coRole)`
  Required. The name of the role that the target plays.
  `AddRelationTypeRequest.Builder`
  `description(String description)`
  The description of the Relation Type.
  `AddRelationTypeRequest.Builder`
  `id(UUID id)`
  The ID of the new Relation Type.
  `AddRelationTypeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Relation Type.
  `AddRelationTypeRequest.Builder`
  `role(String role)`
  Required. The name of the role that the source plays.
  `AddRelationTypeRequest.Builder`
  `sourceTypeId(UUID sourceTypeId)`
  Required. The ID of the source type for the new Relation Type.
  `AddRelationTypeRequest.Builder`
  `targetTypeId(UUID targetTypeId)`
  Required. The ID of the source type for the new Relation Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddRelationTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddRelationTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public AddRelationTypeRequest.Builder id(UUID id)
    The ID of the new Relation Type. Should be unique within all Relation Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

    Returns:
      `this`.

  - ### publicId

    public AddRelationTypeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### sourceTypeId

    public AddRelationTypeRequest.Builder sourceTypeId(UUID sourceTypeId)
    Required. The ID of the source type for the new Relation Type.
    Returns:
      `this`.

  - ### role

    public AddRelationTypeRequest.Builder role(String role)
    Required. The name of the role that the source plays.
    Returns:
      `this`.

  - ### targetTypeId

    public AddRelationTypeRequest.Builder targetTypeId(UUID targetTypeId)
    Required. The ID of the source type for the new Relation Type.
    Returns:
      `this`.

  - ### coRole

    public AddRelationTypeRequest.Builder coRole(String coRole)
    Required. The name of the role that the target plays.
    Returns:
      `this`.

  - ### description

    public AddRelationTypeRequest.Builder description(String description)
    The description of the Relation Type.
    Returns:
      `this`.

  - ### build

    public AddRelationTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`